﻿using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Collections.Generic;

public partial class _Default : System.Web.UI.Page
{
 protected void Page_Load(object sender, EventArgs e)
 {
  string[] tabCat = {"Informatique", "Sciences et techniques", "Audiovisuel", "BTP", "Vie pratique"};
  string s = Request.QueryString["Cat"];
  int cat;
  bool res = Int32.TryParse(s, out cat);
  if (res && cat>=0 && cat<=4)
   zaInfo.Text = "Sélection : " + tabCat[cat];
  else zaInfo.Text = "Sélection par défaut : informatique";
 }

 protected string retImage(object o)
 {
  string isbn = (string)o;
  return "gifs/" + isbn + ".gif";
 }
 protected string retHtml(object o)
 {
  string isbn = (string)o;
  return "htmls/" + isbn + ".htm";
 }
 protected void gv_RowCommand(object sender, GridViewCommandEventArgs e)
 {
  string sOp = e.CommandName.ToString();
  if (sOp == "Commande")
  {
   int N = Convert.ToInt32(e.CommandArgument);
   string article = gv.DataKeys[N].Value.ToString();
   // ajouter au panier
   List<string> panier = (List<string>)Session["PANIER"];
   if (panier == null) panier = new List<string>();
   panier.Add(article);
   Session["PANIER"] = panier;
  }
 }
}
